function love.load()
    -- setup thread
    thread = love.thread.newThread("thread.lua")
    toThreadChannel = love.thread.getChannel("toThread")
    fromThreadChannel = love.thread.getChannel("fromThread")
    
    thread:start()
    
    winW = love.graphics.getWidth()
    winH = love.graphics.getHeight()
    imageData = love.image.newImageData(winW, winH)
    
    image = love.graphics.newImage( imageData )
    
    toThreadChannel:push(imageData)
    
    print("loaded")
end

function love.draw()
   
    local tempImageData = fromThreadChannel:pop()
    print("popped")
    if tempImageData then
        print("recieved Image")
        imageData = tempImageData
        image = love.graphics.newImage( imageData )
    else 
        print("no image recieved")
    end
    
    love.graphics.setColor(255,255,255,128)
    love.graphics.draw(image)
    
end

function love.keypressed(key)
    if  key == "q" or key == "escape" then
        love.event.push('quit')
    end 
    
end
